# SPDX-License-Identifier: GPL-2.0
%YAML 1.2
---
$id: http://devicetree.org/schemas/arm/mrvl/mrvl.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: Marvell Platforms Device Tree Bindings

maintainers:
  - Lubomir Rintel <lkundrak@v3.sk>

properties:
  $nodename:
    const: '/'
  compatible:
    oneOf:
      - description: PXA168 Aspenite Board
        items:
          - enum:
              - mrvl,pxa168-aspenite
          - const: mrvl,pxa168
      - description: PXA910 DKB Board
        items:
          - enum:
              - mrvl,pxa910-dkb
          - const: mrvl,pxa910
      - description: MMP2 based boards
        items:
          - enum:
              - mrvl,mmp2-brownstone
          - const: mrvl,mmp2
      - description: MMP3 based boards
        items:
          - const: mrvl,mmp3
...
